#ifndef COREPATHS_H
#define COREPATHS_H

#include <QStringList>

namespace FlyFM
{
QString resolveEnvironmentVariables(const QString &path);
QString mimeTypeForFile(const QString &path, bool det = true);
quint64 totalSize(const QStringList &paths);
QString shortedPathView(const QString &path);
quint64 pathSize(const QString &path);
QString uniqueFileName(const QString &path, const QString &baseName, const QString &ext = QString());
QStringList newFileTemplates();
}

#endif
