/*

  Find library
  Application programmer's interface

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFMFIND_H
#define FLYFMFIND_H

#include <flyfm/entry.h>
#include <flyfm/singletone.h>

class QWidget;

namespace FlyFM
{

class Find : public Singletone
{
public:
    static Find *ptr();
    virtual ~Find();

    void release() Q_DECL_OVERRIDE;
    void callDialog(const Entry &entry = Entry(), QWidget *parent = 0);

protected:
    Find();
    static Find *m_ptr;
};

}

#endif // FLYFMFIND_H
