/*

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFMFINDPLUGINWIDGET_H
#define FLYFMFINDPLUGINWIDGET_H

#include <QWidget>

namespace FlyFM
{

class EntryMatchValidator;

class FindPluginWidget : public QWidget
{
    Q_OBJECT
public:
    FindPluginWidget(QWidget *parent = 0);
    virtual ~FindPluginWidget();

    virtual EntryMatchValidator *buildMatchValidator() = 0;

signals:
    void changed();
};

}


#endif // FLYFMFINDPLUGINWIDGET_H
