/*

  Graphic user's interface library
  List view

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFM_LISTVIEW_H
#define FLYFM_LISTVIEW_H

#include <flyfm/listandiconview.h>
#include <flyfm/scheduledupdateview.h>

namespace FlyFM
{
class ListView : public ListAndIconView
{
    Q_OBJECT

public:
    ListView(QWidget *parent = 0);
};

class ScheduledUpdateListView : public ScheduledUpdateView<ListView>
{
    Q_OBJECT
public:
    explicit ScheduledUpdateListView(QWidget *parent = 0)
        : ScheduledUpdateView<ListView>(parent)
    {}
};

}

#endif
