#ifndef PATHCOMPLETER_H
#define PATHCOMPLETER_H

#include <QCompleter>

namespace FlyFM
{

class Model;

class PathCompleter : public QCompleter
{
public:
    explicit PathCompleter(Model* model, QObject *parent = 0);

    QString pathFromIndex(const QModelIndex &index) const Q_DECL_OVERRIDE;
    QStringList splitPath(const QString& path) const Q_DECL_OVERRIDE;

private:
    Model* m_sourceModel;
};

}

#endif
