/*

  Graphic user's interface library
  Process bar

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFMPROCESSBAR_H
#define FLYFMPROCESSBAR_H

#define PROCESS_SLICES_COUNT 10

#include <QWidget>
#include <QTimer>

namespace FlyFM
{
class ProcessBar : public QWidget
{
    Q_OBJECT

public:

    ProcessBar(QWidget *parent = 0);
    ~ProcessBar();

public slots:

    void restart();

protected slots:

    void paintEvent(QPaintEvent *event) Q_DECL_OVERRIDE;
    void updateState();

protected:

    QTimer m_updateTimer;

    bool m_isForwardDirection;
    int m_position;
};
}

#endif // FLYFMPROCESSBAR_H
