#ifndef SETTINGSPAGEBASE_H
#define SETTINGSPAGEBASE_H

#include <QWidget>

namespace FlyFM
{

class SettingsPageBase : public QWidget
{
    Q_OBJECT
public:
    explicit SettingsPageBase(QWidget *parent = 0);
    virtual ~SettingsPageBase();

    virtual void apply() = 0;
    virtual void reset() = 0;

signals:
    void changed();
};

} // namespace FlyFM

#endif // SETTINGSPAGEBASE_H
