/*

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFMUSERPROPCAPS_H
#define FLYFMUSERPROPCAPS_H

#include <QString>

#include <flyfm/singletone.h>

namespace FlyFM
{
class UserPropCaps : public Singletone
{
public:
    static UserPropCaps *ptr();
    virtual ~UserPropCaps();

    void setAccessibility(uid_t uid, const QString& pluginFileName, bool enabled);
    bool isAccessible(uid_t uid, const QString& pluginFileName);

    void release() Q_DECL_OVERRIDE;

protected:
    UserPropCaps();

    static UserPropCaps *m_ptr;
};
}

#endif // FLYFMUSERPROPCAPS_H
