#ifndef FLYFM_DIALOG_H
#define FLYFM_DIALOG_H

#include <QDialog>

namespace FlyFM
{

class Dialog : public QDialog
{
    Q_OBJECT
public:
    explicit Dialog(QWidget *parent = 0);

    void setTransientFor(WId wid);

    static Qt::WindowModality defaultWindowModality();
    static void setDefaultWindowModality(Qt::WindowModality modality);

private:
    static Qt::WindowModality defaultModality;
};

} // namespace FlyFM

#endif // FLYFM_DIALOG_H
