/*

  Explorer File System Entry Properties Library
  Abstract Plugin Match Validator

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFMENTRYMATCHVALIDATOR_H
#define FLYFMENTRYMATCHVALIDATOR_H

namespace FlyFM
{

class Entry;

class EntryMatchValidator
{
public:
    EntryMatchValidator();
    virtual ~EntryMatchValidator();

    virtual bool isMatchedEntry(const Entry &entry) const = 0;

    virtual int priority() const;
};

}


#endif // FLYFMENTRYMATCHVALIDATOR_H
