/*

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFM_OPEN_H
#define FLYFM_OPEN_H

#include <flyfm/serviceinterfacesingletone.h>

namespace FlyFM
{

class EntryList;

class Open : public ServiceInterfaceSingletone
{
public:
    static Open *ptr();
    ~Open();

    bool isAvailable() const;
    void open(const EntryList &entries, bool dialog = false);

protected:
    Open();

private:
    static Open *m_ptr;

    bool m_available;
    QWeakPointer<QDBusInterface> m_interface;
};

}

#endif // FLYFMOPEN_H
