/*

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFMPLUGIN_H
#define FLYFMPLUGIN_H

#include <QString>
#include <QList>

namespace FlyFM
{

class Plugin
{
public:
    virtual ~Plugin();

    virtual QString title() = 0;
    virtual QString acronym() const = 0;
};

typedef QList<Plugin*> PluginPtrList;

}

#endif // FLYFMPLUGIN_H
