/*

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFMSERVICEADAPTOR_H
#define FLYFMSERVICEADAPTOR_H

#include <QDBusAbstractAdaptor>

namespace FlyFM
{
class ServiceAdaptor : public QDBusAbstractAdaptor
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "ru.rusbitech.FileManager.Service")

public:

    ServiceAdaptor(QObject *parent);
    virtual ~ServiceAdaptor();

public Q_SLOTS:

    void incrementProcessRef();
    void decrementProcessRef();
};
}

#endif // FLYFMSERVICEADAPTOR_H
