#ifndef FLYFM_STANDARDPATHS_H
#define FLYFM_STANDARDPATHS_H

#include <QString>

namespace FlyFM
{

class StandardPaths
{
public:
    static QString fileSystemRootPath();
    static QString trashDirPath();
    static QString desktopDirPath();
    static QString documentsDirPath();

    static QString toCanonicalHostName(const QString& host);
};

} // namespace FlyFM

#endif // FLYFM_STANDARDPATHS_H
