/*

  Explorer Graphic User's Interface Library
  Status Bar

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFMSTATUSBAR_H
#define FLYFMSTATUSBAR_H

#include <QStatusBar>

#include <flyfm/entrylist.h>

namespace FlyFM
{

class EntryDescribeThread;

class StatusBar : public QStatusBar
{
    Q_OBJECT
public:
    StatusBar(QWidget *parent = 0);
    ~StatusBar();

public slots:
    void describeEntries(const EntryList &entries);

protected:
    EntryDescribeThread *m_pDescribeThread;
};

}

#endif // FLYFMSTATUSBAR_H
