#ifndef FLYFM_VFSSETTINGS_H
#define FLYFM_VFSSETTINGS_H

#include <QString>
#include <QScopedPointer>

class QSettings;

namespace FlyFM
{

class VFSSettings
{
    friend class VFSPrivate;
public:
    ~VFSSettings();

    QString mountRootPath() const;
    bool isNetworkEnabled() const;

private:
    VFSSettings();

    QScopedPointer<QSettings> m_settings;
};

} // namespace FlyFM

#endif // FLYFM_VFSSETTINGS_H
